// packageE/groupCode/groupCodeData/groupCodeData.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.id) {
      this.setData({
        id: options.id,
      });
    }
    this.getData();
  },
  taplist(e) {
    console.log(e);
    let ind = e.currentTarget.dataset.ind;
    let list = this.data.list;
    list[ind].select = !list[ind].select;
    this.setData({
      list: list,
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getData() {
    var that = this;
    let urlStr = app.getNetAddresss(
      "plugin.group-code.api.group-code.my-group-code-statistic"
    );
    app._postNetWork({
      url: urlStr,
      data: {
        id: that.data.id,
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          for (let i = 0; i < res.data.list.data.length; i++) {
            res.data.list.data[i].select = false;
          }
          that.setData({
            list: res.data.list.data,
            datas: res.data.data,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
          });
          console.log(res.msg);
        }
      },
    });
  },
});
